---
title: Create a Folder
url: https://www.tines.com/docs/api/folders/create/
updated: 2026-05-07T14:36:22+00:00
description: Create a folder in Tines.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Folders](https://www.tines.com/llm/docs/api/folders.md)*

# Create a Folder

*[View on tines.com](https://www.tines.com/docs/api/folders/create/)*

## Description

Create a folder in Tines.

## Request

HTTP Method: **POST**

| Query Parameter  | Description                                                                  |
| ---------------- | ---------------------------------------------------------------------------- |
| name             | The folder name.                                                             |
| content_type     | The type of content stored in this folder `CREDENTIAL` `RESOURCE` or `STORY` |
| team_id          | ID of team to which the folder should be created.                            |
| parent_folder_id | **Optional** ID of the parent folder. Default: `null` (root level).          |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v1/folders/ \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
      "name": "Folder name",
      "content_type": "CREDENTIAL",
      "team_id": 1,
      "parent_folder_id": 5
    }'
```

## Response

A successful request will return a JSON object describing the created folder

### Field description

| Parameter        | Description                                              |
| ---------------- | -------------------------------------------------------- |
| id               | The folder ID.                                           |
| name             | The folder name.                                         |
| team_id          | ID of team to which the folder belongs.                  |
| content_type     | The type of content stored in this folder                |
| size             | The number of items in this folder                       |
| parent_folder_id | ID of the parent folder, or `null` if at the root level. |

### Sample response

<!-- cspell:disable -->

```json
{
  "id": 1,
  "name": "Folder name",
  "content_type": "CREDENTIAL",
  "team_id": 1,
  "size": 0,
  "parent_folder_id": 5
}
```

<!-- cspell:enable -->
